org.apache.mina.example.udp

## Class MemoryMonitorHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.apache.mina.example.udp.MemoryMonitorHandler

- All Implemented Interfaces:
    IoHandler

      public class MemoryMonitorHandler
      extends IoHandlerAdapter

  Class the extends IoHandlerAdapter in order to properly handle connections and the data the connections send
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryMonitorHandler(MemoryMonitor server)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exceptionCaught(IoSession session, Throwable cause)` Invoked when any exception is thrown by user `IoHandler` implementation or by MINA.
    `void` | `messageReceived(IoSession session, Object message)` Invoked when a message is received.
    `void` | `sessionClosed(IoSession session)` Invoked when a connection is closed.
    `void` | `sessionCreated(IoSession session)` Invoked from an I/O processor thread when a new connection has been created.
    `void` | `sessionIdle(IoSession session, IdleStatus status)` Invoked with the related `IdleStatus` when a connection becomes idle.
    `void` | `sessionOpened(IoSession session)` Invoked when a connection has been opened.

    - ### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

      `messageSent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryMonitorHandler

          public MemoryMonitorHandler(MemoryMonitor server)

  - ### Method Detail

    - #### exceptionCaught

          public void exceptionCaught(IoSession session,
                             Throwable cause)
                               throws Exception

      Description copied from interface: `IoHandler`
      Invoked when any exception is thrown by user `IoHandler` implementation or by MINA. If `cause` is an instance of `IOException`, MINA will close the connection automatically.
      Specified by:
        `exceptionCaught` in interface `IoHandler`
      Overrides:
        `exceptionCaught` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### messageReceived

          public void messageReceived(IoSession session,
                             Object message)
                               throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a message is received.
      Specified by:
        `messageReceived` in interface `IoHandler`
      Overrides:
        `messageReceived` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### sessionClosed

          public void sessionClosed(IoSession session)
                             throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a connection is closed.
      Specified by:
        `sessionClosed` in interface `IoHandler`
      Overrides:
        `sessionClosed` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### sessionCreated

          public void sessionCreated(IoSession session)
                              throws Exception

      Description copied from interface: `IoHandler`
      Invoked from an I/O processor thread when a new connection has been created. Because this method is supposed to be called from the same thread that handles I/O of multiple sessions, please implement this method to perform tasks that consumes minimal amount of time such as socket parameter and user-defined session attribute initialization.
      Specified by:
        `sessionCreated` in interface `IoHandler`
      Overrides:
        `sessionCreated` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### sessionIdle

          public void sessionIdle(IoSession session,
                         IdleStatus status)
                           throws Exception

      Description copied from interface: `IoHandler`
      Invoked with the related `IdleStatus` when a connection becomes idle. This method is not invoked if the transport type is UDP; it's a known bug, and will be fixed in 2.0.
      Specified by:
        `sessionIdle` in interface `IoHandler`
      Overrides:
        `sessionIdle` in class `IoHandlerAdapter`
      Throws:
        `Exception`

    - #### sessionOpened

          public void sessionOpened(IoSession session)
                             throws Exception

      Description copied from interface: `IoHandler`
      Invoked when a connection has been opened. This method is invoked after `IoHandler.sessionCreated(IoSession)`. The biggest difference from `IoHandler.sessionCreated(IoSession)` is that it's invoked from other thread than an I/O processor thread once thread model is configured properly.
      Specified by:
        `sessionOpened` in interface `IoHandler`
      Overrides:
        `sessionOpened` in class `IoHandlerAdapter`
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.